LALAPPS_HELLO(1)

NAME
lalapps_hello - prints "hello LSC!"

SYNOPSIS
lalapps_hello [-h] [-V] [-v] [-d dbglvl] [-o outfile]

DESCRIPTION

lalapps_hello prints "hello LSC!" to the screen or to an output file.

OPTIONS

-h  Print a help message.

-V  Print the version information.

-v  Verbose output.

-d dbglvl
    Set LAL debug level to dbglvl.

-o outfile
    Write the output to file outfile.

DEBUG LEVELS
The LAL debug level can be specified as an integer or as a string of flags:

    NDEBUG
        No debugging information is printed and memory debugging code is disabled.

    ERROR
        Error messages are printed.

    WARNING
        Warning messages are printed.

    INFO
        Information messages are printed.

    TRACE
        Function call tracing messages are printed.

    MEMINFO
        Memory allocation information messages are printed.

    MEMDBG
        Debugging of memory allocation routines is enabled but no messages are printed.

The following composite levels are available:

    MSGLVL1
        Equivalent to ERROR

    MSGLVL2
        Equivalent to ERROR | WARNING

    MSGLVL3
        Equivalent to ERROR | WARNING | INFO

    ALLDBG
        All debugging messages are printed.

For example, the command

    lalapps_hello -d "ERROR | INFO"

will set the debug level so that error and information messages are printed.

ENVIRONMENT

LAL_DEBUG_LEVEL
    Default LAL debug level to use.

AUTHOR
Jolien Creighton